# Delete Carrier

Delete Carrier Account API

Endpoint: DELETE /api/v1/carrierAccounts/{carrierAccountID}
Version: 0.1
Security: bearerAuth

## Path parameters:

  - `carrierAccountID` (string, required)
    Unique identifier of carrier account created

## Header parameters:

  - `X-PB-Developer-Partner-ID` (string)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.errorCode` (string)
    Error code(s) that appear due to HTTP  400- Invalid or Bad Request, e.g. validation-error.
    Example: validation_error

  - `errors.errorDescription` (string)
    The HTTP 400 Bad Request response status code indicates that the server cannot process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).
    Example: Error while getting rates for carrier with carrierAccount eRMnRx4mzPP.

  - `errors.additionalCode` (string)
    A unique identifier for the error, for example 1101055, 0100008, or 1021126.

  - `errors.additionalInfo` (string)
    This is an additional information about the error. This error 'Invalid Request' might appear due to invalid dimension, weight, or serviceid, or if the information is missing.

  - `errors.additionalParameters` (array)

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, that indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.
    Example: Unauthorized

